Package org.eclipse.birt.chart.model.attribute

# Interface MultipleFill

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Fill`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MultipleFillImpl`

public interface MultipleFill extends Fill
A representation of the model object 'Multiple Fill'. MultipleFill extends type Fill to represent a pre-defined series of possible Fills, one of which will be selected to fill an chart element due to a certain condition. For example, the color of the increasing datapoints in a Stock Chart is different with the decreasing ones.

The following features are supported:

- `Fills`

See Also:
  - `AttributePackage.getMultipleFill()`

## Method Summary

Modifier and Type
Method
Description
`MultipleFill`
`copyInstance()`
`org.eclipse.emf.common.util.EList<Fill>`
`getFills()`
Returns the value of the 'Fills' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getFills

org.eclipse.emf.common.util.EList<Fill> getFills()
Returns the value of the 'Fills' containment reference list. The list contents are of type `Fill`.

If the meaning of the 'Fills' containment reference list isn't clear, there really should be more of a description here...

The list element "Fills" represent the pre-defined candidates of Fill.

Returns:
  the value of the 'Fills' containment reference list.
See Also:
  - `AttributePackage.getMultipleFill_Fills()`

### copyInstance

MultipleFill copyInstance()

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`